Bug 489704 - Desktop icon for encrypted FS sometimes has "unlocked padlock", sometimes not.....
Desktop icon for encrypted FS sometimes has "unlocked padlock", sometimes not...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 10:34 EDT by Tom London
Modified: 2015-03-03 17:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-07 21:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of "devkit-disks --dump" (20.75 KB, text/plain)
2009-03-11 10:34 EDT, Tom London
no flags Details
Desktop icons: "regular" and "unlocked" filesystems (18.26 KB, image/png)
2009-03-11 10:43 EDT, Tom London
no flags Details
Screenshot showing encrypted FS icon without padlock (15.37 KB, image/png)
2009-03-11 12:04 EDT, Tom London
no flags Details
Screenshot of "palimpsest" window showing encrypted FS (85.34 KB, image/png)
2009-03-11 12:05 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2009-03-11 10:34:36 EDT
Created attachment 334804 [details]
Output of "devkit-disks --dump"

Description of problem:
Every time I login from a fresh reboot, the desktop icon for an encrypted FS is the same as for an unencrypted one.

If I logoff and then log in again, most time the desktop icon has the padlock.

Here is mount info:

[tbl@tlondon ~]$ mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw,noatime,nodiratime)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda3 on /boot type ext3 (rw,noatime,nodiratime)
tmpfs on /dev/shm type tmpfs (rw)
tmpfs on /tmp type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
/dev/sdb1 on /media/E0FD-1813 type vfat (rw,nosuid,nodev,uhelper=devkit,uid=500,gid=500,shortname=lower,dmask=0077)
/dev/sda1 on /media/WinXP type fuseblk (rw,nosuid,nodev,allow_other,blksize=4096)
/dev/dm-3 on /media/extra type ext3 (rw,nosuid,nodev,uhelper=devkit)
gvfs-fuse-daemon on /home/tbl/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=tbl)
[tbl@tlondon ~]$ 

I'm attaching output of "devkit-disks --dump"

I have 3 "desktop icons": 
    1. an SD card that shows as a USB drive (2.0 GB Filesystem)
    2. an NTFS FS that shows as a "regular" drive (WinXP)
    3. an encrypted ext3 FS (/dev/mapper/dm-3) that shows either as a "regular drive" or as an "unencrypted drive" (that is, with the unlocked padlock).

In the data I attach, it is showing with the unlocked padlock.

Version-Release number of selected component (if applicable):
DeviceKit-disks-003-6.fc11.x86_64
nautilus-gdu-0.2-git20090309.1.fc11.x86_64


How reproducible:
Almost every time......

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-03-11 10:43:19 EDT
Created attachment 334807 [details]
Desktop icons: "regular" and "unlocked" filesystems

Sometimes I see this.

Most of the times, I see two icons like the top (WinXP) one, without the padlock.
Comment 2 Tomáš Bžatek 2009-03-11 10:55:18 EDT
nautilus-gdu only represents the Format dialog, icons in nautilus are taken from gvfs (which has been ported to DeviceKit-disks recently). 

Changing to gvfs, we need to look at that. Can you also state gvfs and gnome-disk-utility versions? Also, I'm curious how is the encrypted volume presented in palimpsest.
Comment 3 Tom London 2009-03-11 12:04:35 EDT
Created attachment 334830 [details]
Screenshot showing encrypted FS icon without padlock

Attaching here a screenshot of the icon for the encrypted filesystem ("extra") displayed without the padlock.

Sorry for misfiling..... A bit confusing to me....

Version of gvfs & gnome-disk-utility:

[root@tlondon ~]# rpm -qa gvfs\* gnome-disk-utility\*
gvfs-archive-1.1.8-1.fc11.x86_64
gvfs-1.1.8-1.fc11.x86_64
gvfs-fuse-1.1.8-1.fc11.x86_64
gnome-disk-utility-ui-libs-0.2-2.fc11.x86_64
gvfs-obexftp-1.1.8-1.fc11.x86_64
gvfs-smb-1.1.8-1.fc11.x86_64
gnome-disk-utility-libs-0.2-2.fc11.x86_64
gnome-disk-utility-format-0.2-git20090309.1.fc11.x86_64
gvfs-gphoto2-1.1.8-1.fc11.x86_64
gnome-disk-utility-0.2-2.fc11.x86_64
[root@tlondon ~]# 

I've rerun 'devkit-disks --dump' when the desktop shows the "wrong" icon, but the diff shows nothing significant.

palimpsest show the FS with the padlock.  I attach screenshot of palimpsest window below.
Comment 4 Tom London 2009-03-11 12:05:56 EDT
Created attachment 334832 [details]
Screenshot of "palimpsest" window showing encrypted FS

Palimpsest appears to be correctly displaying the "padlocked FS" icon when the desktop icon is "without padlock".
Comment 5 Tom London 2009-04-07 12:25:42 EDT
For the first time, the desktop icon displayed correctly on first login after boot.

Repeated twice, and worked both times.....

Running:

gvfs-1.2.1-1.fc11.x86_64
gvfs-fuse-1.2.1-1.fc11.x86_64
gvfs-obexftp-1.2.1-1.fc11.x86_64
gvfs-gphoto2-1.2.1-1.fc11.x86_64
gvfs-archive-1.2.1-1.fc11.x86_64
gvfs-smb-1.2.1-1.fc11.x86_64
DeviceKit-disks-004-0.4.20090406git.fc11.x86_64
Comment 6 Matthias Clasen 2009-04-07 21:19:28 EDT
So this is fixed, is that what you are saying ?

Reopen if not...

Note You need to log in before you can comment on or make changes to this bug.